=== debian/changelog ===
adapterremoval (2.1.7-1) unstable; urgency=medium

  * Initial release (Closes: #832754)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jul 2016 16:40:07 +0200
