=== debian/control ===
Source: adapterremoval
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               libbz2-dev,
               libgtest-dev,
               python-markdown
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/adapterremoval.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/adapterremoval.git
Homepage: https://github.com/MikkelSchubert/adapterremoval

Package: adapterremoval
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: rapid adapter trimming, identification, and read merging of gene sequences
 This program searches for and removes remnant adapter sequences from High-
 Throughput Sequencing (HTS) data and (optionally) trims low quality
 bases from the 3' end of reads following adapter removal. AdapterRemoval
 can analyze both single end and paired end data, and can be used to
 merge overlapping paired-ended reads into (longer) consensus sequences.
 Additionally, the AdapterRemoval may be used to recover a consensus
 adapter sequence for paired-ended data, for which this information is
 not available.

Package: adapterremoval-examples
Architecture: all
Depends: ${misc:Depends}
Description: rapid adapter trimming, identification, and read merging (example data)
 This program searches for and removes remnant adapter sequences from High-
 Throughput Sequencing (HTS) data and (optionally) trims low quality
 bases from the 3' end of reads following adapter removal. AdapterRemoval
 can analyze both single end and paired end data, and can be used to
 merge overlapping paired-ended reads into (longer) consensus sequences.
 Additionally, the AdapterRemoval may be used to recover a consensus
 adapter sequence for paired-ended data, for which this information is
 not available.
 .
 This package provides the example data.
