=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

override_dh_auto_test:
	# dh_auto_test
	echo "*********** Needs adapting to libgtest-dev. ***************"

override_dh_auto_install:
	make PREFIX=$(CURDIR)/debian/$(DEBPKGNAME)/usr
	# Hmmm, this does nothing ...

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md
