## adapterremoval 2.2.0

=== Makefile ===
--- 
+++ 
@@ -6,52 +6,48 @@
 PREFIX := /usr/local
 
 # Default compilation flags
-CXXFLAGS := -O3 -ansi -pedantic -Wall -Wextra
-CXXFLAGS := ${CXXFLAGS} -Wcast-align -Wcast-qual -Wctor-dtor-privacy \
-	-Wdisabled-optimization -Wformat=2 -Winit-self -Wold-style-cast \
-	-Woverloaded-virtual -Wredundant-decls -Wsign-promo -Wstrict-overflow=5 \
-	-Wswitch-default -Wundef -Weffc++
+CXXFLAGS := ${CXXFLAGS} -std=c++11 -O3
 
 ## Optional features; comment out or set to value other than 'yes' to disable
 
 # Enable reading writing of gzip compressed files using libz.
-ENABLE_GZIP_SUPPORT := yes
+GZIP_SUPPORT := yes
 
 # Enable reading writing of bzip2 compressed files using libbz2.
-ENABLE_BZIP2_SUPPORT := yes
-
-# Enable multi-threading support using pthreads.
-ENABLE_PTHREAD_SUPPORT := yes
+BZIP2_SUPPORT := yes
 
 # Hide individual commands during build; only shows summaries instead.
-ENABLE_QUIET_BUILD := yes
+QUIET_BUILD := yes
 
 # Use of colored output during build
-ENABLE_COLOR_BUILD := yes
+COLOR_BUILD := yes
+
+# Debug build; adds warnings and debugging symbols
+DEBUG_BUILD := no
 
 
 ###############################################################################
 # Makefile internals. Normally you do not need to touch these.
 
 # Libraries required by AdapterRemoval
-LIBRARIES :=
+LIBRARIES := -pthread
 
 # Build directory; modified depending on build options
 BDIR     := build/main
 
 
-ifeq ($(strip ${ENABLE_QUIET_BUILD}),yes)
+ifeq ($(strip ${QUIET_BUILD}),yes)
 QUIET := @
 endif
 
-ifeq ($(strip ${ENABLE_COLOR_BUILD}),yes)
+ifeq ($(strip ${COLOR_BUILD}),yes)
 COLOR_YELLOW := "\033[0;33m"
 COLOR_GREEN := "\033[0;32m"
 COLOR_CYAN := "\033[0;36m"
 COLOR_END := "\033[0m"
 endif
 
-ifeq ($(strip ${ENABLE_GZIP_SUPPORT}),yes)
+ifeq ($(strip ${GZIP_SUPPORT}),yes)
 $(info Building AdapterRemoval with gzip support: yes)
 CXXFLAGS := ${CXXFLAGS} -DAR_GZIP_SUPPORT
 LIBRARIES := ${LIBRARIES} -lz
@@ -60,7 +56,7 @@
 $(info Building AdapterRemoval with gzip support: no)
 endif
 
-ifeq ($(strip ${ENABLE_BZIP2_SUPPORT}),yes)
+ifeq ($(strip ${BZIP2_SUPPORT}),yes)
 $(info Building AdapterRemoval with bzip2 support: yes)
 CXXFLAGS := ${CXXFLAGS} -DAR_BZIP2_SUPPORT
 LIBRARIES := ${LIBRARIES} -lbz2
@@ -69,15 +65,15 @@
 $(info Building AdapterRemoval with bzip2 support: no)
 endif
 
-ifeq ($(strip ${ENABLE_PTHREAD_SUPPORT}),yes)
-$(info Building AdapterRemoval with pthreads support: yes)
-CXXFLAGS := ${CXXFLAGS} -DAR_PTHREAD_SUPPORT
-LIBRARIES := ${LIBRARIES} -lpthread
-BDIR := ${BDIR}_pthreads
-else
-$(info Building AdapterRemoval with pthreads support: no)
-endif
-
+ifeq ($(strip ${DEBUG_BUILD}), yes)
+$(info Building AdapterRemoval with debug information: yes)
+CXXFLAGS := ${CXXFLAGS} -g -pedantic -Wall -Wextra -Wcast-align -Wcast-qual \
+	-Wctor-dtor-privacy -Wdisabled-optimization -Wformat=2 -Winit-self \
+	-Wold-style-cast -Woverloaded-virtual -Wredundant-decls -Wsign-promo \
+	-Wstrict-overflow=2 -Wswitch-default -Wundef -Weffc++ -Wdeprecated
+else
+$(info Building AdapterRemoval with debug information: no)
+endif
 
 PROG     := AdapterRemoval
 LIBNAME  := libadapterremoval
@@ -92,23 +88,27 @@
             $(BDIR)/linereader.o \
             $(BDIR)/main_adapter_id.o \
             $(BDIR)/main_adapter_rm.o \
+            $(BDIR)/main_demultiplex.o \
             $(BDIR)/scheduler.o \
             $(BDIR)/strutils.o \
             $(BDIR)/threads.o \
             $(BDIR)/timer.o \
+            $(BDIR)/trimmed_reads.o \
             $(BDIR)/userconfig.o
 OBJS     := ${LIBOBJS} $(BDIR)/main.o
 DFILES   := $(OBJS:.o=.deps)
 
 
-.PHONY: all install clean test clean_tests static
+.PHONY: all install clean test clean_tests static validate validation
 
 all: build/$(PROG) build/$(PROG).1
+
+everything: all static test validation
 
 # Clean
 clean: clean_tests
 	@echo $(COLOR_GREEN)"Cleaning ..."$(COLOR_END)
-	$(QUIET) rm -f build/$(PROG) build/$(PROG).1
+	$(QUIET) rm -f build/$(PROG) build/$(PROG).1 build/$(LIBNAME).a
 	$(QUIET) rm -rvf $(BDIR)
 
 # Install
@@ -140,13 +140,13 @@
 $(BDIR)/%.o: src/%.cc
 	@echo $(COLOR_CYAN)"Building '$@' from '$<'"$(COLOR_END)
 	$(QUIET) mkdir -p $(BDIR)
-	$(QUIET) $(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(QUIET) $(CXX) $(CXXFLAGS) -pthread -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
 # Executable
 build/$(PROG): $(OBJS)
 	@echo $(COLOR_GREEN)"Linking executable '$@'"$(COLOR_END)
-	$(QUIET) $(CXX) $(CXXFLAGS) $^ ${LIBRARIES} -o $@
+	$(QUIET) $(CXX) $(CXXFLAGS) ${LDFLAGS} $^ ${LIBRARIES} -o $@
 
 # Static library
 build/$(LIBNAME).a: $(LIBOBJS)
@@ -180,7 +180,7 @@
 
 GTEST_DIR := googletest-release-1.7.0
 GTEST_OBJS := $(TEST_DIR)/gtest-all.o $(TEST_DIR)/gtest_main.o
-GTEST_LIB :=$(TEST_DIR)/libgtest.a
+GTEST_LIB := $(TEST_DIR)/libgtest.a
 
 TEST_CXXFLAGS := -isystem $(GTEST_DIR)/include -I$(GTEST_DIR) -Isrc -DAR_TEST_BUILD
 GTEST_CXXFLAGS := $(TEST_CXXFLAGS)
@@ -194,8 +194,8 @@
 	$(QUIET) rm -rvf $(TEST_DIR)
 
 $(TEST_DIR)/main: $(GTEST_LIB) $(TEST_OBJS)
-	@echo $(COLOR_GREEN)"Linking executable $@\033[0m"$(COLOR_END)
-	$(QUIET) $(CXX) $(CXXFLAGS) -pthread $^ -o $@
+	@echo $(COLOR_GREEN)"Linking executable $@"$(COLOR_END)
+	$(QUIET) $(CXX) $(CXXFLAGS) ${LIBRARIES} $^ -o $@
 
 $(TEST_DIR)/libgtest.a: $(GTEST_OBJS)
 	@echo $(COLOR_GREEN)"Linking GTest library '$@'"$(COLOR_END)
@@ -203,20 +203,20 @@
 
 $(TEST_DIR)/%.o: tests/%.cc
 	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
-	mkdir -p $(TEST_DIR)
+	$(QUIET) mkdir -p $(TEST_DIR)
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
 $(TEST_DIR)/%.o: src/%.cc
 	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
-	mkdir -p $(TEST_DIR)
+	$(QUIET) mkdir -p $(TEST_DIR)
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
 $(TEST_DIR)/gtest%.o: $(GTEST_DIR)/src/gtest%.cc
 	@echo $(COLOR_CYAN)"Building '$@' from '$<'"$(COLOR_END)
 	$(QUIET) mkdir -p $(TEST_DIR)
-	$(QUIET) $(CXX) $(GTEST_CXXFLAGS) -pthread -c $< -o $@
+	$(QUIET) $(CXX) $(GTEST_CXXFLAGS) -c $< -o $@
 
 .PRECIOUS: $(GTEST_DIR)/src/gtest%.cc
 $(GTEST_DIR)/src/gtest%.cc: googletest-release-1.7.0.zip
@@ -240,5 +240,20 @@
 	@exit 1
 endif
 
+
+#
+# Validation
+#
+VALIDATION_BDIR=build/validation
+VALIDATION_SDIR=validation
+
+validate: build/$(PROG)
+	@echo $(COLOR_CYAN)"Validating AdapterRemoval results"$(COLOR_END)
+	@mkdir -p $(VALIDATION_BDIR)
+	@./validation/run $(VALIDATION_BDIR) $(VALIDATION_SDIR)
+
+validation: validate
+
+
 # Automatic header dependencies for tests
 -include $(TEST_DEPS)
