=== debian/changelog ===
adapterremoval (2.2.0-1) unstable; urgency=medium

  [ Kevin Murray ]
  * Team upload
  * New upstream version 2.2.0 (Closes: #846664)
  * Refresh patches

  [ Andreas Tille ]
  * Fix spelling
  * DEP3 for benchmarking patches

 -- Kevin Murray <spam@kdmurray.id.au>  Sun, 04 Dec 2016 17:22:09 +0100
