=== debian/control ===
--- 
+++ 
@@ -41,3 +41,25 @@
  not available.
  .
  This package provides the example data.
+
+#Package: adapter-benchmark
+#Architecture: all
+#Depends: ${misc:Depends},
+#         python,
+#         adapterremoval,
+#         cutadapt,
+#         ea-utils,
+#         flexbar,
+#         scythe,
+#         trimmomatic
+#Suggests: pirs
+#Description: benchmarking trimming adapters gene sequences
+# The program adapterremoval contains a benchmarking suite for differen
+# programs fullfilling a similar purpose to searche for and remove
+# remnant adapter sequences from High-Throughput Sequencing (HTS) data
+# and trims low quality bases from the 3' end of reads following adapter
+# removal.
+# .
+# This package provides the test suite adapted to the use with all
+# Debian packaged programs which are: adapterremoval, cutadapt, flexbar,
+# scythe and trimmomatic.
