=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.md
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name benchmark.sh -exec chmod +x \{\} \;
