=== debian/watch ===
version=3

https://github.com/MikkelSchubert/adapterremoval/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
