## adapterremoval 2.2.2

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,6 @@
 
 ## Optional features; comment out or set to value other than 'yes' to disable
 
-# Enable reading writing of gzip compressed files using libz.
-GZIP_SUPPORT := yes
-
-# Enable reading writing of bzip2 compressed files using libbz2.
-BZIP2_SUPPORT := yes
-
 # Hide individual commands during build; only shows summaries instead.
 QUIET_BUILD := yes
 
@@ -25,12 +19,14 @@
 # Debug build; adds warnings and debugging symbols
 DEBUG_BUILD := no
 
+# Include coverage instrumentation in build
+COVERAGE := no
 
 ###############################################################################
 # Makefile internals. Normally you do not need to touch these.
 
 # Libraries required by AdapterRemoval
-LIBRARIES := -pthread
+LIBRARIES := -pthread -lz -lbz2
 
 # Build directory; modified depending on build options
 BDIR     := build/main
@@ -47,22 +43,12 @@
 COLOR_END := "\033[0m"
 endif
 
-ifeq ($(strip ${GZIP_SUPPORT}),yes)
-$(info Building AdapterRemoval with gzip support: yes)
-CXXFLAGS := ${CXXFLAGS} -DAR_GZIP_SUPPORT
-LIBRARIES := ${LIBRARIES} -lz
-BDIR := ${BDIR}_gz
+ifeq ($(strip ${COVERAGE}), yes)
+$(info Building AdapterRemoval with coverage instrumentation: yes)
+CXXFLAGS := ${CXXFLAGS} --coverage
+DEBUG_BUILD := yes
 else
-$(info Building AdapterRemoval with gzip support: no)
-endif
-
-ifeq ($(strip ${BZIP2_SUPPORT}),yes)
-$(info Building AdapterRemoval with bzip2 support: yes)
-CXXFLAGS := ${CXXFLAGS} -DAR_BZIP2_SUPPORT
-LIBRARIES := ${LIBRARIES} -lbz2
-BDIR := ${BDIR}_bz2
-else
-$(info Building AdapterRemoval with bzip2 support: no)
+$(info Building AdapterRemoval with coverage instrumentation: no)
 endif
 
 ifeq ($(strip ${DEBUG_BUILD}), yes)
@@ -86,6 +72,7 @@
             $(BDIR)/fastq_enc.o \
             $(BDIR)/fastq_io.o \
             $(BDIR)/linereader.o \
+            $(BDIR)/linereader_joined.o \
             $(BDIR)/main_adapter_id.o \
             $(BDIR)/main_adapter_rm.o \
             $(BDIR)/main_demultiplex.o \
@@ -109,6 +96,7 @@
 clean: clean_tests
 	@echo $(COLOR_GREEN)"Cleaning ..."$(COLOR_END)
 	$(QUIET) rm -f build/$(PROG) build/$(PROG).1 build/$(LIBNAME).a
+	$(QUIET) rm -rvf build/validation
 	$(QUIET) rm -rvf $(BDIR)
 
 # Install
@@ -137,24 +125,24 @@
 static: build/$(LIBNAME).a
 
 # Object files
-$(BDIR)/%.o: src/%.cc
-	@echo $(COLOR_CYAN)"Building '$@' from '$<'"$(COLOR_END)
+$(BDIR)/%.o: src/%.cpp
+	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
 	$(QUIET) mkdir -p $(BDIR)
 	$(QUIET) $(CXX) $(CXXFLAGS) -pthread -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
 # Executable
 build/$(PROG): $(OBJS)
-	@echo $(COLOR_GREEN)"Linking executable '$@'"$(COLOR_END)
+	@echo $(COLOR_GREEN)"Linking executable $@"$(COLOR_END)
 	$(QUIET) $(CXX) $(CXXFLAGS) ${LDFLAGS} $^ ${LIBRARIES} -o $@
 
 # Static library
 build/$(LIBNAME).a: $(LIBOBJS)
-	@echo $(COLOR_GREEN)"Linking static library '$@'"$(COLOR_END)
+	@echo $(COLOR_GREEN)"Linking static library $@"$(COLOR_END)
 	$(AR) rcs build/$(LIBNAME).a $(LIBOBJS)
 
 build/%.1: %.pod
-	@echo $(COLOR_GREEN)"Constructing man-page '$@' from '$<'"$(COLOR_END)
+	@echo $(COLOR_GREEN)"Constructing man-page $@ from $<"$(COLOR_END)
 	$(QUIET) mkdir -p $(BDIR)
 	$(QUIET) pod2man $< > $@
 
@@ -172,17 +160,18 @@
              $(TEST_DIR)/argparse_test.o \
              $(TEST_DIR)/debug.o \
              $(TEST_DIR)/fastq.o \
+             $(TEST_DIR)/fastq_test.o \
              $(TEST_DIR)/fastq_enc.o \
-             $(TEST_DIR)/fastq_test.o \
+             $(TEST_DIR)/fastq_enc_test.o \
              $(TEST_DIR)/strutils.o \
              $(TEST_DIR)/strutils_test.o
 TEST_DEPS := $(TEST_OBJS:.o=.deps)
 
-GTEST_DIR := googletest-release-1.7.0
+GTEST_DIR := googletest-release-1.8.0/googletest
 GTEST_OBJS := $(TEST_DIR)/gtest-all.o $(TEST_DIR)/gtest_main.o
 GTEST_LIB := $(TEST_DIR)/libgtest.a
 
-TEST_CXXFLAGS := -isystem $(GTEST_DIR)/include -I$(GTEST_DIR) -Isrc -DAR_TEST_BUILD
+TEST_CXXFLAGS := -isystem $(GTEST_DIR)/include -I$(GTEST_DIR) -Isrc -DAR_TEST_BUILD -g
 GTEST_CXXFLAGS := $(TEST_CXXFLAGS)
 
 test: $(TEST_DIR)/main
@@ -198,45 +187,45 @@
 	$(QUIET) $(CXX) $(CXXFLAGS) ${LIBRARIES} $^ -o $@
 
 $(TEST_DIR)/libgtest.a: $(GTEST_OBJS)
-	@echo $(COLOR_GREEN)"Linking GTest library '$@'"$(COLOR_END)
+	@echo $(COLOR_GREEN)"Linking GTest library $@"$(COLOR_END)
 	$(QUIET) ar -rv $@ $^
 
-$(TEST_DIR)/%.o: tests/%.cc
+$(TEST_DIR)/%.o: tests/%.cpp
 	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
 	$(QUIET) mkdir -p $(TEST_DIR)
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
-$(TEST_DIR)/%.o: src/%.cc
+$(TEST_DIR)/%.o: src/%.cpp
 	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
 	$(QUIET) mkdir -p $(TEST_DIR)
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
 $(TEST_DIR)/gtest%.o: $(GTEST_DIR)/src/gtest%.cc
-	@echo $(COLOR_CYAN)"Building '$@' from '$<'"$(COLOR_END)
+	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
 	$(QUIET) mkdir -p $(TEST_DIR)
 	$(QUIET) $(CXX) $(GTEST_CXXFLAGS) -c $< -o $@
 
 .PRECIOUS: $(GTEST_DIR)/src/gtest%.cc
-$(GTEST_DIR)/src/gtest%.cc: googletest-release-1.7.0.zip
+$(GTEST_DIR)/src/gtest%.cc: googletest-release-1.8.0.zip
 	$(QUIET) if ! test -e "$@"; \
 	then \
 		echo $(COLOR_CYAN)"Unpacking Google Test library"$(COLOR_END); \
-		unzip -qo googletest-release-1.7.0.zip; \
+		unzip -qo googletest-release-1.8.0.zip; \
 	fi
 
-googletest-release-1.7.0.zip:
+googletest-release-1.8.0.zip:
 ifneq ("$(shell which wget)", "")
 	@echo $(COLOR_CYAN)"Fetching Google Test library using wget"$(COLOR_END)
-	$(QUIET) wget -q https://github.com/google/googletest/archive/release-1.7.0.zip -O googletest-release-1.7.0.zip
+	$(QUIET) wget -q https://github.com/google/googletest/archive/release-1.8.0.zip -O googletest-release-1.8.0.zip
 else ifneq ("$(shell which curl)", "")
 	@echo $(COLOR_CYAN)"Fetching Google Test library using curl"$(COLOR_END)
-	$(QUIET) curl -L https://github.com/google/googletest/archive/release-1.7.0.zip -o googletest-release-1.7.0.zip
+	$(QUIET) curl -L https://github.com/google/googletest/archive/release-1.8.0.zip -o googletest-release-1.8.0.zip
 else
-	@echo $(COLOR_YELLOW)"To run tests, first download and unpack GoogleTest 1.7.0 in this folder:"$(COLOR_END)
-	@echo $(COLOR_YELLOW)"  $$ wget https://github.com/google/googletest/archive/release-1.7.0.zip -O googletest-release-1.7.0.zip"$(COLOR_END)
-	@echo $(COLOR_YELLOW)"  $$ unzip googletest-release-1.7.0.zip"$(COLOR_END)
+	@echo $(COLOR_YELLOW)"To run tests, first download and unpack GoogleTest 1.8.0 in this folder:"$(COLOR_END)
+	@echo $(COLOR_YELLOW)"  $$ wget https://github.com/google/googletest/archive/release-1.8.0.zip -O googletest-release-1.8.0.zip"$(COLOR_END)
+	@echo $(COLOR_YELLOW)"  $$ unzip googletest-release-1.8.0.zip"$(COLOR_END)
 	@exit 1
 endif
