=== debian/changelog ===
adapterremoval (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2

 -- Kevin Murray <kdmfoss@gmail.com>  Tue, 18 Jul 2017 09:37:44 +1000

adapterremoval (2.2.1a-1) unstable; urgency=medium

  * New upstream version (adapt patches)
  * Enable letters in watch file expression
  * Standards-Version: 4.0.0 (no changes needed)
  * d/rules: use DEB_SOURCE

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jul 2017 13:02:02 +0200

adapterremoval (2.2.1-1) unstable; urgency=medium

  * New upstream version
  * Drop spelling patch
  * debhelper 10
  * verified watch file and set version=4

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 09:08:33 +0200
