=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: adapterremoval
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                zlib1g-dev,
                libbz2-dev,
                libgtest-dev,
                python-markdown
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/adapterremoval.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/adapterremoval.git
 Homepage: https://github.com/MikkelSchubert/adapterremoval
