=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
@@ -18,7 +18,7 @@
 	echo "*********** Needs adapting to libgtest-dev. ***************"
 
 override_dh_auto_install:
-	make PREFIX=$(CURDIR)/debian/$(DEBPKGNAME)/usr
+	make PREFIX=$(CURDIR)/debian/$(DEB_SOURCE)/usr
 	# Hmmm, this does nothing ...
 
 override_dh_installchangelogs:
