## adapterremoval 2.2.3

=== Makefile ===
--- 
+++ 
@@ -86,21 +86,21 @@
 DFILES   := $(OBJS:.o=.deps)
 
 
-.PHONY: all install clean test clean_tests static validate validation
-
-all: build/$(PROG) build/$(PROG).1
-
-everything: all static test validation
+.PHONY: all install clean test clean_tests static regression docs
+
+all: build/$(PROG)
+
+everything: all static test regression docs
 
 # Clean
-clean: clean_tests
+clean: clean_tests clean_docs
 	@echo $(COLOR_GREEN)"Cleaning ..."$(COLOR_END)
-	$(QUIET) rm -f build/$(PROG) build/$(PROG).1 build/$(LIBNAME).a
-	$(QUIET) rm -rvf build/validation
+	$(QUIET) rm -f build/$(PROG) build/$(LIBNAME).a
+	$(QUIET) rm -rvf build/regression
 	$(QUIET) rm -rvf $(BDIR)
 
 # Install
-install: build/$(PROG) build/$(PROG).1
+install: build/$(PROG)
 	@echo $(COLOR_GREEN)"Installing AdapterRemoval .."$(COLOR_END)
 	@echo $(COLOR_GREEN)"  .. binary into ${PREFIX}/bin/"$(COLOR_END)
 	$(QUIET) mkdir -p ${PREFIX}/bin/
@@ -109,7 +109,7 @@
 
 	@echo $(COLOR_GREEN)"  .. man-page into ${PREFIX}/share/man/man1/"$(COLOR_END)
 	$(QUIET) mkdir -p ${PREFIX}/share/man/man1/
-	$(QUIET) mv -f build/$(PROG).1 ${PREFIX}/share/man/man1/
+	$(QUIET) cp -a $(PROG).1 ${PREFIX}/share/man/man1/
 	$(QUIET) chmod a+r ${PREFIX}/share/man/man1/$(PROG).1
 
 	@echo $(COLOR_GREEN)"  .. README into ${PREFIX}/share/adapterremoval/"$(COLOR_END)
@@ -141,11 +141,6 @@
 	@echo $(COLOR_GREEN)"Linking static library $@"$(COLOR_END)
 	$(AR) rcs build/$(LIBNAME).a $(LIBOBJS)
 
-build/%.1: %.pod
-	@echo $(COLOR_GREEN)"Constructing man-page $@ from $<"$(COLOR_END)
-	$(QUIET) mkdir -p $(BDIR)
-	$(QUIET) pod2man $< > $@
-
 # Automatic header depencencies
 -include $(DFILES)
 
@@ -154,11 +149,12 @@
 # Unit testing
 #
 TEST_DIR := build/tests
-TEST_OBJS := $(TEST_DIR)/alignment.o \
+TEST_OBJS := $(TEST_DIR)/main_test.o \
+             $(TEST_DIR)/debug.o \
+             $(TEST_DIR)/alignment.o \
              $(TEST_DIR)/alignment_test.o \
              $(TEST_DIR)/argparse.o \
              $(TEST_DIR)/argparse_test.o \
-             $(TEST_DIR)/debug.o \
              $(TEST_DIR)/fastq.o \
              $(TEST_DIR)/fastq_test.o \
              $(TEST_DIR)/fastq_enc.o \
@@ -167,30 +163,21 @@
              $(TEST_DIR)/strutils_test.o
 TEST_DEPS := $(TEST_OBJS:.o=.deps)
 
-GTEST_DIR := googletest-release-1.8.0/googletest
-GTEST_OBJS := $(TEST_DIR)/gtest-all.o $(TEST_DIR)/gtest_main.o
-GTEST_LIB := $(TEST_DIR)/libgtest.a
-
-TEST_CXXFLAGS := -isystem $(GTEST_DIR)/include -I$(GTEST_DIR) -Isrc -DAR_TEST_BUILD -g
-GTEST_CXXFLAGS := $(TEST_CXXFLAGS)
+TEST_CXXFLAGS := -Isrc -DAR_TEST_BUILD -g
 
 test: $(TEST_DIR)/main
-	@echo $(COLOR_GREEN)"Running tests"$(COLOR_END)
-	$(QUIET) $< --gtest_print_time=0 --gtest_shuffle
+	@echo $(COLOR_GREEN)"Running unit tests"$(COLOR_END)
+	$(QUIET) $(TEST_DIR)/main
 
 clean_tests:
 	@echo $(COLOR_GREEN)"Cleaning tests ..."$(COLOR_END)
 	$(QUIET) rm -rvf $(TEST_DIR)
 
-$(TEST_DIR)/main: $(GTEST_LIB) $(TEST_OBJS)
+$(TEST_DIR)/main: $(TEST_OBJS)
 	@echo $(COLOR_GREEN)"Linking executable $@"$(COLOR_END)
 	$(QUIET) $(CXX) $(CXXFLAGS) ${LIBRARIES} $^ -o $@
 
-$(TEST_DIR)/libgtest.a: $(GTEST_OBJS)
-	@echo $(COLOR_GREEN)"Linking GTest library $@"$(COLOR_END)
-	$(QUIET) ar -rv $@ $^
-
-$(TEST_DIR)/%.o: tests/%.cpp
+$(TEST_DIR)/%.o: tests/unit/%.cpp
 	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
 	$(QUIET) mkdir -p $(TEST_DIR)
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -c -o $@ $<
@@ -202,47 +189,34 @@
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -c -o $@ $<
 	$(QUIET) $(CXX) $(CXXFLAGS) $(TEST_CXXFLAGS) -w -MM -MT $@ -MF $(@:.o=.deps) $<
 
-$(TEST_DIR)/gtest%.o: $(GTEST_DIR)/src/gtest%.cc
-	@echo $(COLOR_CYAN)"Building $@ from $<"$(COLOR_END)
-	$(QUIET) mkdir -p $(TEST_DIR)
-	$(QUIET) $(CXX) $(GTEST_CXXFLAGS) -c $< -o $@
-
-.PRECIOUS: $(GTEST_DIR)/src/gtest%.cc
-$(GTEST_DIR)/src/gtest%.cc: googletest-release-1.8.0.zip
-	$(QUIET) if ! test -e "$@"; \
-	then \
-		echo $(COLOR_CYAN)"Unpacking Google Test library"$(COLOR_END); \
-		unzip -qo googletest-release-1.8.0.zip; \
-	fi
-
-googletest-release-1.8.0.zip:
-ifneq ("$(shell which wget)", "")
-	@echo $(COLOR_CYAN)"Fetching Google Test library using wget"$(COLOR_END)
-	$(QUIET) wget -q https://github.com/google/googletest/archive/release-1.8.0.zip -O googletest-release-1.8.0.zip
-else ifneq ("$(shell which curl)", "")
-	@echo $(COLOR_CYAN)"Fetching Google Test library using curl"$(COLOR_END)
-	$(QUIET) curl -L https://github.com/google/googletest/archive/release-1.8.0.zip -o googletest-release-1.8.0.zip
-else
-	@echo $(COLOR_YELLOW)"To run tests, first download and unpack GoogleTest 1.8.0 in this folder:"$(COLOR_END)
-	@echo $(COLOR_YELLOW)"  $$ wget https://github.com/google/googletest/archive/release-1.8.0.zip -O googletest-release-1.8.0.zip"$(COLOR_END)
-	@echo $(COLOR_YELLOW)"  $$ unzip googletest-release-1.8.0.zip"$(COLOR_END)
-	@exit 1
-endif
-
 
 #
 # Validation
 #
-VALIDATION_BDIR=build/validation
-VALIDATION_SDIR=validation
-
-validate: build/$(PROG)
-	@echo $(COLOR_CYAN)"Validating AdapterRemoval results"$(COLOR_END)
+VALIDATION_BDIR=./build/regression
+VALIDATION_SDIR=./tests/regression
+
+regression: build/$(PROG)
+	@echo $(COLOR_GREEN)"Running regression tests"$(COLOR_END)
 	@mkdir -p $(VALIDATION_BDIR)
-	@./validation/run $(VALIDATION_BDIR) $(VALIDATION_SDIR)
-
-validation: validate
+	@$(VALIDATION_SDIR)/run $(VALIDATION_BDIR) $(VALIDATION_SDIR)
 
 
 # Automatic header dependencies for tests
 -include $(TEST_DEPS)
+
+
+#
+# Documentation
+#
+SPHINXOPTS  = -n -q
+SPHINXBUILD = sphinx-build
+
+docs:
+	$(QUIET) @$(SPHINXBUILD) -M html docs build/docs $(SPHINXOPTS)
+	$(QUIET) @$(SPHINXBUILD) -M man docs build/docs $(SPHINXOPTS)
+	$(QUIET) cp -v "build/docs/man/AdapterRemoval.1" .
+
+clean_docs:
+	@echo $(COLOR_GREEN)"Cleaning documentation ..."$(COLOR_END)
+	$(QUIET) rm -rvf build/docs
