=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
            Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                zlib1g-dev,
                libbz2-dev,
                libgtest-dev,
                python-markdown
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/adapterremoval.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/adapterremoval.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/adapterremoval
+Vcs-Git: https://salsa.debian.org/med-team/adapterremoval.git
 Homepage: https://github.com/MikkelSchubert/adapterremoval
 
 Package: adapterremoval
