=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 	markdown_py -f README.html README.md
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# dh_auto_test
 	echo "*********** Needs adapting to libgtest-dev. ***************"
+endif
 
 override_dh_auto_install:
 	make PREFIX=$(CURDIR)/debian/$(DEB_SOURCE)/usr
