=== debian/watch ===
version=4

https://github.com/MikkelSchubert/adapterremoval/releases .*/archive/v(\d[\d.a-z]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
