## adapterremoval 2.2.4

=== debian/changelog ===
adapterremoval (2.2.4-1) unstable; urgency=medium

  * New upstream pure bugfix release
  * Run upstream unit tests

 -- Andreas Tille <tille@debian.org>  Thu, 21 Feb 2019 11:22:41 +0100
