=== debian/changelog ===
adapterremoval (2.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * d/copyright: Add upstream contact

  [ Steffen Moeller ]
  * debhelper-compat 12
  * helped by Andreas' routine-update script

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Mar 2019 11:05:51 +0100
