=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# dh_auto_test
-	echo "*********** Needs adapting to libgtest-dev. ***************"
+	make test
+	make clean_tests
 endif
 
 override_dh_auto_install:
