## adapterremoval 2.3.2

=== debian/changelog ===
adapterremoval (2.3.2-1ubuntu1) jammy; urgency=medium

  * debian/patches/update-catch2.patch: import catch2 version 2.13.8 to
    fix build failure with glibc 2.34.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Apr 2022 21:54:01 +0000

adapterremoval (2.3.2-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Apply multi-arch hints.
    + adapterremoval-examples: Add Multi-Arch: foreign.
  * Deactivate patches concerning benchmark script since this was removed
    upstream

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 07:10:20 +0200

adapterremoval (2.3.1-3) unstable; urgency=medium

  * Fix build on some architectures
    Closes: #923772
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 15:43:41 +0100

adapterremoval (2.3.1-2) unstable; urgency=medium

  * Build-Depends: markdown instead of python-markdown
    Closes: #942927
  * Convert benchmark scripts from Python2 to Python3 using 2to3 even
    if not used in package
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 15 Dec 2019 15:21:21 +0100
