=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: adapterremoval
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbz2-dev,
                libgtest-dev,
-               python-markdown
-Standards-Version: 4.4.0
+               markdown
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/adapterremoval
 Vcs-Git: https://salsa.debian.org/med-team/adapterremoval.git
 Homepage: https://github.com/MikkelSchubert/adapterremoval
+Rules-Requires-Root: no
 
 Package: adapterremoval
 Architecture: any
@@ -31,6 +33,7 @@
 Package: adapterremoval-examples
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: rapid adapter trimming, identification, and read merging (example data)
  This program searches for and removes remnant adapter sequences from High-
  Throughput Sequencing (HTS) data and (optionally) trims low quality
@@ -46,7 +49,7 @@
 #Package: adapter-benchmark
 #Architecture: all
 #Depends: ${misc:Depends},
-#         python,
+#         python3,
 #         adapterremoval,
 #         cutadapt,
 #         ea-utils,
