=== debian/watch ===
version=4

https://github.com/MikkelSchubert/adapterremoval/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
